package cn.superdesk.uniorder.dao.entity.kafka;

import java.util.ArrayList;
import java.util.List;

public class KafkaConsumerRecordExample {
    /**
     *
     * table ims_kafka_consumer_record
     *
     * Wed May 13 20:38:59 CST 2020
     */
    protected String orderByClause;

    /**
     *
     * table ims_kafka_consumer_record
     *
     * Wed May 13 20:38:59 CST 2020
     */
    protected boolean distinct;

    /**
     *
     * table ims_kafka_consumer_record
     *
     * Wed May 13 20:38:59 CST 2020
     */
    protected List<Criteria> oredCriteria;

    /**
     *
     * table ims_kafka_consumer_record
     *
     * Wed May 13 20:38:59 CST 2020
     */
    public KafkaConsumerRecordExample() {
        oredCriteria = new ArrayList<>();
    }

    /**
     *
     * table ims_kafka_consumer_record
     *
     * Wed May 13 20:38:59 CST 2020
     */
    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    /**
     *
     * table ims_kafka_consumer_record
     *
     * Wed May 13 20:38:59 CST 2020
     */
    public String getOrderByClause() {
        return orderByClause;
    }

    /**
     *
     * table ims_kafka_consumer_record
     *
     * Wed May 13 20:38:59 CST 2020
     */
    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    /**
     *
     * table ims_kafka_consumer_record
     *
     * Wed May 13 20:38:59 CST 2020
     */
    public boolean isDistinct() {
        return distinct;
    }

    /**
     *
     * table ims_kafka_consumer_record
     *
     * Wed May 13 20:38:59 CST 2020
     */
    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    /**
     *
     * table ims_kafka_consumer_record
     *
     * Wed May 13 20:38:59 CST 2020
     */
    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    /**
     *
     * table ims_kafka_consumer_record
     *
     * Wed May 13 20:38:59 CST 2020
     */
    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    /**
     *
     * table ims_kafka_consumer_record
     *
     * Wed May 13 20:38:59 CST 2020
     */
    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    /**
     *
     * table ims_kafka_consumer_record
     *
     * Wed May 13 20:38:59 CST 2020
     */
    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    /**
     *
     * table ims_kafka_consumer_record
     *
     * Wed May 13 20:38:59 CST 2020
     */
    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    /**
     *
     * table ims_kafka_consumer_record
     *
     * Wed May 13 20:38:59 CST 2020
     */
    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Long value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Long value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Long value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Long value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Long value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Long value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Long> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Long> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Long value1, Long value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Long value1, Long value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andTopicIsNull() {
            addCriterion("topic is null");
            return (Criteria) this;
        }

        public Criteria andTopicIsNotNull() {
            addCriterion("topic is not null");
            return (Criteria) this;
        }

        public Criteria andTopicEqualTo(String value) {
            addCriterion("topic =", value, "topic");
            return (Criteria) this;
        }

        public Criteria andTopicNotEqualTo(String value) {
            addCriterion("topic <>", value, "topic");
            return (Criteria) this;
        }

        public Criteria andTopicGreaterThan(String value) {
            addCriterion("topic >", value, "topic");
            return (Criteria) this;
        }

        public Criteria andTopicGreaterThanOrEqualTo(String value) {
            addCriterion("topic >=", value, "topic");
            return (Criteria) this;
        }

        public Criteria andTopicLessThan(String value) {
            addCriterion("topic <", value, "topic");
            return (Criteria) this;
        }

        public Criteria andTopicLessThanOrEqualTo(String value) {
            addCriterion("topic <=", value, "topic");
            return (Criteria) this;
        }

        public Criteria andTopicLike(String value) {
            addCriterion("topic like", value, "topic");
            return (Criteria) this;
        }

        public Criteria andTopicNotLike(String value) {
            addCriterion("topic not like", value, "topic");
            return (Criteria) this;
        }

        public Criteria andTopicIn(List<String> values) {
            addCriterion("topic in", values, "topic");
            return (Criteria) this;
        }

        public Criteria andTopicNotIn(List<String> values) {
            addCriterion("topic not in", values, "topic");
            return (Criteria) this;
        }

        public Criteria andTopicBetween(String value1, String value2) {
            addCriterion("topic between", value1, value2, "topic");
            return (Criteria) this;
        }

        public Criteria andTopicNotBetween(String value1, String value2) {
            addCriterion("topic not between", value1, value2, "topic");
            return (Criteria) this;
        }

        public Criteria andGroupIdIsNull() {
            addCriterion("group_id is null");
            return (Criteria) this;
        }

        public Criteria andGroupIdIsNotNull() {
            addCriterion("group_id is not null");
            return (Criteria) this;
        }

        public Criteria andGroupIdEqualTo(String value) {
            addCriterion("group_id =", value, "groupId");
            return (Criteria) this;
        }

        public Criteria andGroupIdNotEqualTo(String value) {
            addCriterion("group_id <>", value, "groupId");
            return (Criteria) this;
        }

        public Criteria andGroupIdGreaterThan(String value) {
            addCriterion("group_id >", value, "groupId");
            return (Criteria) this;
        }

        public Criteria andGroupIdGreaterThanOrEqualTo(String value) {
            addCriterion("group_id >=", value, "groupId");
            return (Criteria) this;
        }

        public Criteria andGroupIdLessThan(String value) {
            addCriterion("group_id <", value, "groupId");
            return (Criteria) this;
        }

        public Criteria andGroupIdLessThanOrEqualTo(String value) {
            addCriterion("group_id <=", value, "groupId");
            return (Criteria) this;
        }

        public Criteria andGroupIdLike(String value) {
            addCriterion("group_id like", value, "groupId");
            return (Criteria) this;
        }

        public Criteria andGroupIdNotLike(String value) {
            addCriterion("group_id not like", value, "groupId");
            return (Criteria) this;
        }

        public Criteria andGroupIdIn(List<String> values) {
            addCriterion("group_id in", values, "groupId");
            return (Criteria) this;
        }

        public Criteria andGroupIdNotIn(List<String> values) {
            addCriterion("group_id not in", values, "groupId");
            return (Criteria) this;
        }

        public Criteria andGroupIdBetween(String value1, String value2) {
            addCriterion("group_id between", value1, value2, "groupId");
            return (Criteria) this;
        }

        public Criteria andGroupIdNotBetween(String value1, String value2) {
            addCriterion("group_id not between", value1, value2, "groupId");
            return (Criteria) this;
        }

        public Criteria andPartitionsIsNull() {
            addCriterion("partitions is null");
            return (Criteria) this;
        }

        public Criteria andPartitionsIsNotNull() {
            addCriterion("partitions is not null");
            return (Criteria) this;
        }

        public Criteria andPartitionsEqualTo(Integer value) {
            addCriterion("partitions =", value, "partitions");
            return (Criteria) this;
        }

        public Criteria andPartitionsNotEqualTo(Integer value) {
            addCriterion("partitions <>", value, "partitions");
            return (Criteria) this;
        }

        public Criteria andPartitionsGreaterThan(Integer value) {
            addCriterion("partitions >", value, "partitions");
            return (Criteria) this;
        }

        public Criteria andPartitionsGreaterThanOrEqualTo(Integer value) {
            addCriterion("partitions >=", value, "partitions");
            return (Criteria) this;
        }

        public Criteria andPartitionsLessThan(Integer value) {
            addCriterion("partitions <", value, "partitions");
            return (Criteria) this;
        }

        public Criteria andPartitionsLessThanOrEqualTo(Integer value) {
            addCriterion("partitions <=", value, "partitions");
            return (Criteria) this;
        }

        public Criteria andPartitionsIn(List<Integer> values) {
            addCriterion("partitions in", values, "partitions");
            return (Criteria) this;
        }

        public Criteria andPartitionsNotIn(List<Integer> values) {
            addCriterion("partitions not in", values, "partitions");
            return (Criteria) this;
        }

        public Criteria andPartitionsBetween(Integer value1, Integer value2) {
            addCriterion("partitions between", value1, value2, "partitions");
            return (Criteria) this;
        }

        public Criteria andPartitionsNotBetween(Integer value1, Integer value2) {
            addCriterion("partitions not between", value1, value2, "partitions");
            return (Criteria) this;
        }

        public Criteria andOffsetIsNull() {
            addCriterion("offset is null");
            return (Criteria) this;
        }

        public Criteria andOffsetIsNotNull() {
            addCriterion("offset is not null");
            return (Criteria) this;
        }

        public Criteria andOffsetEqualTo(Long value) {
            addCriterion("offset =", value, "offset");
            return (Criteria) this;
        }

        public Criteria andOffsetNotEqualTo(Long value) {
            addCriterion("offset <>", value, "offset");
            return (Criteria) this;
        }

        public Criteria andOffsetGreaterThan(Long value) {
            addCriterion("offset >", value, "offset");
            return (Criteria) this;
        }

        public Criteria andOffsetGreaterThanOrEqualTo(Long value) {
            addCriterion("offset >=", value, "offset");
            return (Criteria) this;
        }

        public Criteria andOffsetLessThan(Long value) {
            addCriterion("offset <", value, "offset");
            return (Criteria) this;
        }

        public Criteria andOffsetLessThanOrEqualTo(Long value) {
            addCriterion("offset <=", value, "offset");
            return (Criteria) this;
        }

        public Criteria andOffsetIn(List<Long> values) {
            addCriterion("offset in", values, "offset");
            return (Criteria) this;
        }

        public Criteria andOffsetNotIn(List<Long> values) {
            addCriterion("offset not in", values, "offset");
            return (Criteria) this;
        }

        public Criteria andOffsetBetween(Long value1, Long value2) {
            addCriterion("offset between", value1, value2, "offset");
            return (Criteria) this;
        }

        public Criteria andOffsetNotBetween(Long value1, Long value2) {
            addCriterion("offset not between", value1, value2, "offset");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNull() {
            addCriterion("create_time is null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNotNull() {
            addCriterion("create_time is not null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeEqualTo(Long value) {
            addCriterion("create_time =", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotEqualTo(Long value) {
            addCriterion("create_time <>", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThan(Long value) {
            addCriterion("create_time >", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThanOrEqualTo(Long value) {
            addCriterion("create_time >=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThan(Long value) {
            addCriterion("create_time <", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThanOrEqualTo(Long value) {
            addCriterion("create_time <=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIn(List<Long> values) {
            addCriterion("create_time in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotIn(List<Long> values) {
            addCriterion("create_time not in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeBetween(Long value1, Long value2) {
            addCriterion("create_time between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotBetween(Long value1, Long value2) {
            addCriterion("create_time not between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andSerializedKeySizeIsNull() {
            addCriterion("serialized_key_size is null");
            return (Criteria) this;
        }

        public Criteria andSerializedKeySizeIsNotNull() {
            addCriterion("serialized_key_size is not null");
            return (Criteria) this;
        }

        public Criteria andSerializedKeySizeEqualTo(Long value) {
            addCriterion("serialized_key_size =", value, "serializedKeySize");
            return (Criteria) this;
        }

        public Criteria andSerializedKeySizeNotEqualTo(Long value) {
            addCriterion("serialized_key_size <>", value, "serializedKeySize");
            return (Criteria) this;
        }

        public Criteria andSerializedKeySizeGreaterThan(Long value) {
            addCriterion("serialized_key_size >", value, "serializedKeySize");
            return (Criteria) this;
        }

        public Criteria andSerializedKeySizeGreaterThanOrEqualTo(Long value) {
            addCriterion("serialized_key_size >=", value, "serializedKeySize");
            return (Criteria) this;
        }

        public Criteria andSerializedKeySizeLessThan(Long value) {
            addCriterion("serialized_key_size <", value, "serializedKeySize");
            return (Criteria) this;
        }

        public Criteria andSerializedKeySizeLessThanOrEqualTo(Long value) {
            addCriterion("serialized_key_size <=", value, "serializedKeySize");
            return (Criteria) this;
        }

        public Criteria andSerializedKeySizeIn(List<Long> values) {
            addCriterion("serialized_key_size in", values, "serializedKeySize");
            return (Criteria) this;
        }

        public Criteria andSerializedKeySizeNotIn(List<Long> values) {
            addCriterion("serialized_key_size not in", values, "serializedKeySize");
            return (Criteria) this;
        }

        public Criteria andSerializedKeySizeBetween(Long value1, Long value2) {
            addCriterion("serialized_key_size between", value1, value2, "serializedKeySize");
            return (Criteria) this;
        }

        public Criteria andSerializedKeySizeNotBetween(Long value1, Long value2) {
            addCriterion("serialized_key_size not between", value1, value2, "serializedKeySize");
            return (Criteria) this;
        }

        public Criteria andSerializedValueSizeIsNull() {
            addCriterion("serialized_value_size is null");
            return (Criteria) this;
        }

        public Criteria andSerializedValueSizeIsNotNull() {
            addCriterion("serialized_value_size is not null");
            return (Criteria) this;
        }

        public Criteria andSerializedValueSizeEqualTo(Long value) {
            addCriterion("serialized_value_size =", value, "serializedValueSize");
            return (Criteria) this;
        }

        public Criteria andSerializedValueSizeNotEqualTo(Long value) {
            addCriterion("serialized_value_size <>", value, "serializedValueSize");
            return (Criteria) this;
        }

        public Criteria andSerializedValueSizeGreaterThan(Long value) {
            addCriterion("serialized_value_size >", value, "serializedValueSize");
            return (Criteria) this;
        }

        public Criteria andSerializedValueSizeGreaterThanOrEqualTo(Long value) {
            addCriterion("serialized_value_size >=", value, "serializedValueSize");
            return (Criteria) this;
        }

        public Criteria andSerializedValueSizeLessThan(Long value) {
            addCriterion("serialized_value_size <", value, "serializedValueSize");
            return (Criteria) this;
        }

        public Criteria andSerializedValueSizeLessThanOrEqualTo(Long value) {
            addCriterion("serialized_value_size <=", value, "serializedValueSize");
            return (Criteria) this;
        }

        public Criteria andSerializedValueSizeIn(List<Long> values) {
            addCriterion("serialized_value_size in", values, "serializedValueSize");
            return (Criteria) this;
        }

        public Criteria andSerializedValueSizeNotIn(List<Long> values) {
            addCriterion("serialized_value_size not in", values, "serializedValueSize");
            return (Criteria) this;
        }

        public Criteria andSerializedValueSizeBetween(Long value1, Long value2) {
            addCriterion("serialized_value_size between", value1, value2, "serializedValueSize");
            return (Criteria) this;
        }

        public Criteria andSerializedValueSizeNotBetween(Long value1, Long value2) {
            addCriterion("serialized_value_size not between", value1, value2, "serializedValueSize");
            return (Criteria) this;
        }

        public Criteria andMessageKeyIsNull() {
            addCriterion("message_key is null");
            return (Criteria) this;
        }

        public Criteria andMessageKeyIsNotNull() {
            addCriterion("message_key is not null");
            return (Criteria) this;
        }

        public Criteria andMessageKeyEqualTo(String value) {
            addCriterion("message_key =", value, "messageKey");
            return (Criteria) this;
        }

        public Criteria andMessageKeyNotEqualTo(String value) {
            addCriterion("message_key <>", value, "messageKey");
            return (Criteria) this;
        }

        public Criteria andMessageKeyGreaterThan(String value) {
            addCriterion("message_key >", value, "messageKey");
            return (Criteria) this;
        }

        public Criteria andMessageKeyGreaterThanOrEqualTo(String value) {
            addCriterion("message_key >=", value, "messageKey");
            return (Criteria) this;
        }

        public Criteria andMessageKeyLessThan(String value) {
            addCriterion("message_key <", value, "messageKey");
            return (Criteria) this;
        }

        public Criteria andMessageKeyLessThanOrEqualTo(String value) {
            addCriterion("message_key <=", value, "messageKey");
            return (Criteria) this;
        }

        public Criteria andMessageKeyLike(String value) {
            addCriterion("message_key like", value, "messageKey");
            return (Criteria) this;
        }

        public Criteria andMessageKeyNotLike(String value) {
            addCriterion("message_key not like", value, "messageKey");
            return (Criteria) this;
        }

        public Criteria andMessageKeyIn(List<String> values) {
            addCriterion("message_key in", values, "messageKey");
            return (Criteria) this;
        }

        public Criteria andMessageKeyNotIn(List<String> values) {
            addCriterion("message_key not in", values, "messageKey");
            return (Criteria) this;
        }

        public Criteria andMessageKeyBetween(String value1, String value2) {
            addCriterion("message_key between", value1, value2, "messageKey");
            return (Criteria) this;
        }

        public Criteria andMessageKeyNotBetween(String value1, String value2) {
            addCriterion("message_key not between", value1, value2, "messageKey");
            return (Criteria) this;
        }
    }

    /**
     *
     * table ims_kafka_consumer_record
     *
     * do_not_delete_during_merge Wed May 13 20:38:59 CST 2020
     */
    public static class Criteria extends GeneratedCriteria {
        protected Criteria() {
            super();
        }
    }

    /**
     *
     * table ims_kafka_consumer_record
     *
     * Wed May 13 20:38:59 CST 2020
     */
    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}